
// SetID.cpp : implementation file
//--------------------------------
#include "stdafx.h"
#include "CallDLL.h"
#include "SetID.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CSetID dialog
//--------------

CSetID::CSetID(CWnd* pParent) : CDialog(CSetID::IDD, pParent)
//===========================================================
{
	//{{AFX_DATA_INIT(CSetID)
	//}}AFX_DATA_INIT
}

void CSetID::DoDataExchange(CDataExchange* pDX)
//=============================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetID)
	DDX_Control(pDX, IDC_DEVICEID, m_DeviceID);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetID, CDialog)
	//{{AFX_MSG_MAP(CSetID)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CSetID message handlers
//------------------------

BOOL CSetID::OnInitDialog() 
//=========================
{
	CDialog::OnInitDialog();
	CCallDLLApp* pApp=(CCallDLLApp*)AfxGetApp();
	CString sSection;
	sSection.Format(_T("Current%02u"),pApp->m_dwInstance);
	m_DeviceID.AddString(_T("Device #0"));
	m_DeviceID.AddString(_T("Device #1"));
	m_DeviceID.AddString(_T("Device #2"));
	m_DeviceID.AddString(_T("Device #3"));
	m_DeviceID.AddString(_T("Device #4"));
	m_DeviceID.AddString(_T("Device #5"));
	m_DeviceID.AddString(_T("Device #6"));
	m_DeviceID.AddString(_T("Device #7"));
	m_DeviceID.SetCurSel(pApp->GetProfileInt(sSection,_T("Device"),0));
	return true;
}

void CSetID::OnOK() 
//=================
{
	CCallDLLApp* pApp=(CCallDLLApp*)AfxGetApp();
	CString sSection;
	sSection.Format(_T("Current%02u"),pApp->m_dwInstance);
	AfxGetApp()->WriteProfileInt(sSection,_T("Device"),m_DeviceID.GetCurSel());
	CDialog::OnOK();
}
